"use strict";
(self["webpackChunkapp"] = self["webpackChunkapp"] || []).push([["src_app_pages_joined-contest_joined-contest_module_ts"],{

/***/ 9793:
/*!***********************************************************************!*\
  !*** ./src/app/pages/joined-contest/joined-contest-routing.module.ts ***!
  \***********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "JoinedContestPageRoutingModule": () => (/* binding */ JoinedContestPageRoutingModule)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! tslib */ 2321);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @angular/core */ 2560);
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @angular/router */ 124);
/* harmony import */ var _joined_contest_page__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./joined-contest.page */ 2032);




const routes = [
    {
        path: '',
        component: _joined_contest_page__WEBPACK_IMPORTED_MODULE_0__.JoinedContestPage
    }
];
let JoinedContestPageRoutingModule = class JoinedContestPageRoutingModule {
};
JoinedContestPageRoutingModule = (0,tslib__WEBPACK_IMPORTED_MODULE_1__.__decorate)([
    (0,_angular_core__WEBPACK_IMPORTED_MODULE_2__.NgModule)({
        imports: [_angular_router__WEBPACK_IMPORTED_MODULE_3__.RouterModule.forChild(routes)],
        exports: [_angular_router__WEBPACK_IMPORTED_MODULE_3__.RouterModule],
    })
], JoinedContestPageRoutingModule);



/***/ }),

/***/ 5383:
/*!***************************************************************!*\
  !*** ./src/app/pages/joined-contest/joined-contest.module.ts ***!
  \***************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "JoinedContestPageModule": () => (/* binding */ JoinedContestPageModule)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! tslib */ 2321);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @angular/core */ 2560);
/* harmony import */ var _angular_common__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @angular/common */ 4666);
/* harmony import */ var _angular_forms__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @angular/forms */ 2508);
/* harmony import */ var _ionic_angular__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @ionic/angular */ 3819);
/* harmony import */ var _joined_contest_routing_module__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./joined-contest-routing.module */ 9793);
/* harmony import */ var _joined_contest_page__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./joined-contest.page */ 2032);
/* harmony import */ var src_app_pipes_shortname_module__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! src/app/pipes/shortname.module */ 827);








let JoinedContestPageModule = class JoinedContestPageModule {
};
JoinedContestPageModule = (0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_angular_core__WEBPACK_IMPORTED_MODULE_4__.NgModule)({
        imports: [
            _angular_common__WEBPACK_IMPORTED_MODULE_5__.CommonModule,
            _angular_forms__WEBPACK_IMPORTED_MODULE_6__.FormsModule,
            _ionic_angular__WEBPACK_IMPORTED_MODULE_7__.IonicModule,
            src_app_pipes_shortname_module__WEBPACK_IMPORTED_MODULE_2__.ShortnamePipeModule,
            _joined_contest_routing_module__WEBPACK_IMPORTED_MODULE_0__.JoinedContestPageRoutingModule
        ],
        declarations: [_joined_contest_page__WEBPACK_IMPORTED_MODULE_1__.JoinedContestPage]
    })
], JoinedContestPageModule);



/***/ }),

/***/ 2032:
/*!*************************************************************!*\
  !*** ./src/app/pages/joined-contest/joined-contest.page.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "JoinedContestPage": () => (/* binding */ JoinedContestPage)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! tslib */ 2321);
/* harmony import */ var _joined_contest_page_html_ngResource__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./joined-contest.page.html?ngResource */ 8153);
/* harmony import */ var _joined_contest_page_scss_ngResource__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./joined-contest.page.scss?ngResource */ 9730);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @angular/core */ 2560);
/* harmony import */ var _ionic_angular__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @ionic/angular */ 3819);
/* harmony import */ var _services_commonservice_service__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../services/commonservice.service */ 4045);
/* harmony import */ var _services_loading_service__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../services/loading.service */ 4471);







let JoinedContestPage = class JoinedContestPage {
    constructor(navCtrl, commonService, loader) {
        this.navCtrl = navCtrl;
        this.commonService = commonService;
        this.loader = loader;
        this.created_team = [];
    }
    ngOnInit() {
    }
    ionViewWillEnter() {
        let matchData = JSON.parse(localStorage.getItem('match_data'));
        console.log("togolo data", this.match_data);
        localStorage.setItem("show_team_1", matchData.home_team_abbr);
        localStorage.setItem("show_team_2", matchData.away_team_abbr);
        this.match_id = localStorage.getItem('MatchId');
        this.isUpcomingLiveOrFinished = localStorage.getItem('isUpcomingLiveOrFinished');
        // this.match_data = JSON.parse(localStorage.getItem('match_data'));
        console.log(this.isUpcomingLiveOrFinished);
        this.getContestDetails();
        this.getMyMatches();
    }
    getContestDetails() {
        this.loader.presentLoading();
        this.commonService.commonApiService('get', 'listjoinmatchcontest/', this.match_id).then((result) => {
            this.match_data = result;
            this.loader.dismissLoading();
            console.log("JoinedContest -->", this.match_data);
            if (this.match_data.status == 200) {
                console.log('success');
                localStorage.setItem('match_data', JSON.stringify(this.match_data.match));
                this.contestData = this.match_data.data;
                // console.log(this.matchList);
                // console.log(this.matchList[0].fixedcontests[0].code);
            }
            else {
                console.log('failure');
                this.commonService.dismissPreloader();
            }
        });
    }
    // dataProgress(totalSeats: number, leftSeats: number) {
    //   console.log(totalSeats,leftSeats);
    //   return Math.ceil((leftSeats / totalSeats) * 100/100);
    // }
    prizeDetails(code) {
        this.navCtrl.navigateForward("/prize-details?code=" + code + '&type=' + '2');
        console.log("2==>", code);
    }
    scorecard() {
        this.navCtrl.navigateForward("/scorecard");
    }
    getMyMatches() {
        this.commonService.commonApiService('get', 'getmainteam/', this.match_id).then((result) => {
            this.result = result;
            console.log("myteam -->", this.result);
            if (this.result.status == 200) {
                this.created_team = this.result.team;
                console.log(this.created_team);
            }
            else {
                console.log(this.result.message);
            }
        });
    }
    selectTeam(code) {
        console.log(this.created_team);
        if (this.created_team.length == 0) {
            this.navCtrl.navigateForward("/select-team?match_code=" + code);
        }
        else {
            let navigationExtras = {
                queryParams: {
                    team_data: JSON.stringify(this.created_team),
                    match_code: code
                }
            };
            this.navCtrl.navigateForward(["/select-team-contest"], navigationExtras);
        }
    }
    // dataProgress(totalSpots: number, spotsLeft: number) {
    //   return ((spotsLeft / totalSpots) * 100) / 100;
    // }
    dataProgress(totalSpots, spotsLeft) {
        // return ((spotsLeft / totalSpots) * 100) / 100;
        let data = totalSpots - spotsLeft;
        let divide = data / totalSpots;
        let final = (divide) * 100;
        final = Math.round(final);
        return final;
    }
    scoreCard() {
        this.navCtrl.navigateForward('/scorecard');
    }
};
JoinedContestPage.ctorParameters = () => [
    { type: _ionic_angular__WEBPACK_IMPORTED_MODULE_4__.NavController },
    { type: _services_commonservice_service__WEBPACK_IMPORTED_MODULE_2__.CommonserviceService },
    { type: _services_loading_service__WEBPACK_IMPORTED_MODULE_3__.LoadingService }
];
JoinedContestPage = (0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    (0,_angular_core__WEBPACK_IMPORTED_MODULE_6__.Component)({
        selector: 'app-joined-contest',
        template: _joined_contest_page_html_ngResource__WEBPACK_IMPORTED_MODULE_0__,
        styles: [_joined_contest_page_scss_ngResource__WEBPACK_IMPORTED_MODULE_1__]
    })
], JoinedContestPage);



/***/ }),

/***/ 9730:
/*!**************************************************************************!*\
  !*** ./src/app/pages/joined-contest/joined-contest.page.scss?ngResource ***!
  \**************************************************************************/
/***/ ((module) => {

module.exports = ".result {\n  text-align: center;\n  font-weight: 700;\n}\n/*# sourceMappingURL=data:application/json;base64,eyJ2ZXJzaW9uIjozLCJzb3VyY2VzIjpbImpvaW5lZC1jb250ZXN0LnBhZ2Uuc2NzcyJdLCJuYW1lcyI6W10sIm1hcHBpbmdzIjoiQUFBQTtFQUVFLGtCQUFBO0VBQ0EsZ0JBQUE7QUFBRiIsImZpbGUiOiJqb2luZWQtY29udGVzdC5wYWdlLnNjc3MiLCJzb3VyY2VzQ29udGVudCI6WyIucmVzdWx0XG57XG4gIHRleHQtYWxpZ246IGNlbnRlcjtcbiAgZm9udC13ZWlnaHQ6IDcwMDtcbn0iXX0= */";

/***/ }),

/***/ 8153:
/*!**************************************************************************!*\
  !*** ./src/app/pages/joined-contest/joined-contest.page.html?ngResource ***!
  \**************************************************************************/
/***/ ((module) => {

module.exports = "<ion-header class=\"ion-no-border\">\n  <ion-toolbar>\n    <div class=\"header-flex\">\n      <ion-buttons class=\"preview-back-button\" slot=\"start\">\n        <ion-back-button class=\"img-menu\" defaultHref=\"dashboard\" color=\"dark\"></ion-back-button>\n        <ion-title class=\"head-cent\">JOINED CONTEST</ion-title>\n      </ion-buttons>\n    </div>\n  </ion-toolbar>\n</ion-header>\n\n<ion-content>\n  <div class=\"content\">\n    <ion-card class=\"common-match-card\" *ngIf=\"match_data\">\n      <p class=\"cont-color\">{{match_data.match.cname}} - {{match_data.match.format_str}}</p>\n      <ion-row class=\"match-content\">\n        <ion-col>\n          <div class=\"flagBg\">\n            <img class=\"t2\" src=\"{{match_data.match.home_team_image}}\"\n              onerror=\"this.onerror=null;this.src='../assets/image/errorflag.png';\">\n          </div>\n        </ion-col>\n        <ion-col size=\"2\">\n          <img class=\"t2\" width=\"23\" src=\"../../../assets/image/VS.svg\">\n        </ion-col>\n        <ion-col>\n          <div class=\"flagBg\">\n            <img class=\"t3\" src=\"{{match_data.match.away_team_image}}\"\n              onerror=\"this.onerror=null;this.src='../assets/image/errorflag.png';\">\n          </div>\n        </ion-col>\n      </ion-row>\n      <ion-row>\n        <ion-col>\n          <p class=\"team_name\">{{match_data.match.home_team_str}}</p>\n        </ion-col>\n        <ion-col size=\"2\"></ion-col>\n        <ion-col>\n          <p class=\"team_name\">{{match_data.match.away_team_str}}</p>\n        </ion-col>\n      </ion-row>\n    </ion-card>\n\n    <p *ngIf=\"match_data\" class=\"result\">{{match_data.match.status_note}}</p>\n\n    <div class=\"displaycontest\" *ngFor=\"let contest of contestData; let i = index;\">        \n        <ion-card class=\"contestCard\" (click)=\"prizeDetails(contest.code)\">\n          <ion-row class=\"content-content\">\n            <ion-col>\n              <ion-label>\n                <p class=\"type\" *ngIf='(contest.entry_type == 2)'> M </p>\n                <p class=\"type\" *ngIf='(contest.entry_type == 1)'> S </p>\n                <p class=\"prizeLabel\">Mega Prize Pool <br>₹\n                  <span class=\"megaPrizePool\">{{contest.prize_pool\n                    | number: '1.0-0'}}</span></p>\n              </ion-label>\n            </ion-col>\n            <ion-col>\n              <img\n                src=\"../../../assets/image/1stPrice.svg\"\n                alt=\"\">\n            </ion-col>\n            <ion-col>\n              <ion-button class=\"entry-btn\">\n                <ion-label>First Prize\n                  <p>{{contest.first_prize}}</p>\n                </ion-label>\n              </ion-button>\n            </ion-col>\n          </ion-row>\n          <p class=\"spotsleft\">Spots Left : <b>{{contest.spots_left}} / {{contest.total_spots}}</b></p>\n          <ion-row class=\"progress\">\n            <ion-progress-bar\n              value=\"{{dataProgress(contest.total_spots,contest.spots_left) / 100}}\"></ion-progress-bar>\n          </ion-row>\n        </ion-card>\n    </div>\n  </div>\n</ion-content>\n<ion-footer class=\"ion-no-border\" *ngIf=\"isUpcomingLiveOrFinished == 'completed'\">\n  <ion-row>\n    <ion-button class=\"btn-team\" (click)=\"scoreCard()\">Scorecard</ion-button>\n  </ion-row>\n</ion-footer>\n<!-- <ion-footer *ngIf=\"isUpcomingLiveOrFinished == 'completed'\">\n  <ion-toolbar>\n    <div class=\"score-marg\">\n      <ion-button class=\"btn-team\" (click)='scoreCard()'>Scorecard</ion-button>\n    </div>\n  </ion-toolbar>\n</ion-footer> -->";

/***/ })

}]);
//# sourceMappingURL=src_app_pages_joined-contest_joined-contest_module_ts.js.map